Back

    Buyamia Directory API

    v1.0

    Regions & Countries

    Access geographic data used for filtering businesses by location. The Directory supports multiple countries and regions within each country.

    All region endpoints require the regions.read permission scope.

    Available Endpoints

    GET
    /v1/regions

    All regions with country info

    regions.read
    GET
    /v1/regions/:id

    Single region detail

    regions.read
    GET
    /v1/countries

    All countries

    regions.read

    Regions Response

    {
      "data": [
        {
          "id": "uuid",
          "name": "Bali",
          "slug": "bali",
          "country": {
            "id": "uuid",
            "name": "Indonesia",
            "code": "ID"
          }
        }
      ]
    }
    Last updated on February 23, 2026